$(document).ready(function(){
	load(1);
	});

function load(page)
{
	var q= $("#q").val();
	var familia= $("#familia").val();
    var proveedor= $("#proveedor").val();
    var ubicacion= $("#ubicacion").val();
	var estado= $("#estado").val();   
	var isChecked = document.getElementById('estado').checked;
	if(isChecked)
	{
		var esta ='Activo';
	}
	else 
	{
		var esta ='Desactivo';
	}
	$("#loader").fadeIn('slow');
	$.ajax({
		url:'./php_articulo/tabla_articulos.php?action=ajax&page='+page+'&q='+q+'&familia='+familia+'&proveedor='+proveedor+'&estado='+esta+'&ubicacion='+ubicacion,
		 beforeSend: function(objeto){
		 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
	  },
		success:function(data){
			$(".outer_div").html(data).fadeIn('slow');
			$('#loader').html('');
		}
	})
}


function eliminar (art_id)
{
    var q= $("#q").val();
    var pagina=$("#pagina").val();

    if (confirm("Realmente deseas eliminar el articulo")){ 
    $.ajax({
        type: "GET",
        url: "php_articulo/eliminar_articulo.php",
      	data: "art_id="+art_id,
     	beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      	},
        success: function(datos){
    	$("#resultados").html(datos);
    	load(pagina);
    	}
      	});
    }
} 


function online(art_id) 
{
    $.ajax({
        type: "POST",
        url: "php_articulo/cambiar_online.php",
        data: "art_id="+art_id,

         beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
    $("#resultados").html(datos);
        load(1);
    }
    });
}